Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.bundle
Enum BundleActionEnum

    java.lang.Object
      java.lang.Enum<BundleActionEnum>
          org.eclipse.gemini.blueprint.bundle.BundleActionEnum

All Implemented Interfaces:
  Serializable, Comparable<BundleActionEnum>

    public enum BundleActionEnum

extends Enum<BundleActionEnum>

Enum class for the `Bundle` actions supported by `BundleFactoryBean`.

Author:
  Costin Leau

Enum Constant Summary
`INSTALL` Installs the bundle.
`START` Starts the bundle.
`STOP` Stops the bundle.
`UNINSTALL` Uninstalls the bundle.
`UPDATE` Updates the bundle.

Method Summary
`static BundleActionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BundleActionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTALL

    public static final BundleActionEnum INSTALL

  Installs the bundle. This action is implied by `START` and `UPDATE` in case no bundle is found in the existing OSGi BundleContext.

  See Also:
    `BundleContext.installBundle(String)`

### START

    public static final BundleActionEnum START

  Starts the bundle. If no bundle is found, it will try first to install one based on the existing configuration.

  See Also:
    `Bundle.start()`

### UPDATE

    public static final BundleActionEnum UPDATE

  Updates the bundle. If no bundle is found, it will try first to install one based on the existing configuration.

  See Also:
    `Bundle.update()`

### STOP

    public static final BundleActionEnum STOP

  Stops the bundle. If no bundle is found, this action does nothing (it will trigger loading).

  See Also:
    `Bundle.stop()`

### UNINSTALL

    public static final BundleActionEnum UNINSTALL

  Uninstalls the bundle. If no bundle is found, this action does nothing (it will trigger loading).

  See Also:
    `Bundle.uninstall()`

Method Detail

### values

    public static BundleActionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BundleActionEnum c : BundleActionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BundleActionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2012. All Rights Reserved.